### Hierarchy

- Translations

## Index

### Properties

- accessibleMaxLengthExceeded
- accessibleMaxLengthRemaining
- ampmWheelLabel
- cancelText
- currentTimeText
- dateTimeRange
- hourWheelLabel
- minuteWheelLabel
- okText
- regexp
- required
- tooltipTime
- tooltipTimeDisabled

## Properties

### accessibleMaxLengthExceeded

accessibleMaxLengthExceeded: string

Message to announce to AT via aria-live when the length.max is exceeded.

### accessibleMaxLengthRemaining

accessibleMaxLengthRemaining: string

Message to annnouce to AT via aria-live for the remaining character count.

### ampmWheelLabel

ampmWheelLabel: string

Label for the AM/PM wheel for accessibility.

### cancelText

cancelText: string

The text to the cancel button.

### currentTimeText

currentTimeText: string

The text to display for the current time link.

### dateTimeRange

dateTimeRange: <internal>.TranslationsDateTimeRange

Provides properties to customize the hint and message text used by the implicit datetime range validator associated to the InputDateTime, InputDate, and InputTime components.

### hourWheelLabel

hourWheelLabel: string

Label for the Hour wheel for accessibility.

### minuteWheelLabel

minuteWheelLabel: string

Label for the Minute wheel for accessibility.

### okText

okText: string

The text to the OK button.

### regexp

regexp: <internal>.TranslationsRegexp

Provides properties to customize the message text used by the implicit regexp validator associated to the InputText and TextArea components.

### required

required: <internal>.TranslationsRequired

Provides properties to customize the summary, detail and hint text used by the implicit required validator associated to any editable component that supports the required option.

### tooltipTime

tooltipTime: string

Tooltip text for the time icon.

### tooltipTimeDisabled

tooltipTimeDisabled: string

Tooltip text for the time icon when the component is disabled.

Generated using TypeDoc